<?php

/*
'**************************************************************************************************
' 程序名称: CCTVAI开源音乐管理系统
' 官方网站: http://www.cctvai.com
' 联系 Q Q: 1542367792
' QQ交流群：136687984
' 版本：(终结版)
' 备注：未经书面授权，不得向任何第三方提供本软件系统！
' 功能，模板，插件，扩展，定制请联系QQ：1542367792
'**************************************************************************************************
*/
error_reporting(0);
include "../../include/cctvai.conn.php";
include "../function_common.php";
admincheck(7);
/*if(Smallfivesolution() == $_SERVER['SERVER_NAME']) {
} else {
    echo Smallfivesq();
    exit();
}*/
$Path=basename(SafeRequest("path", "get"));
$url="http://www.cctvai.com/".SafeRequest("path", "get")."";
ob_start();
readfile($url);
$content=ob_get_contents();
ob_end_clean();
$size=strlen($content);
$fp2=@fopen($Path, 'a');
fwrite($fp2, $content);
fclose($fp2);
unset($content, $url);

function deldir($dir) {
  //先删除目录下的文件：
  $dh=opendir($dir);
  while ($file=readdir($dh)) {
    if($file!="." && $file!="..") {
      $fullpath=$dir."/".$file;
      if(!is_dir($fullpath)) {
          unlink($fullpath);
      } else {
          deldir($fullpath);
      }
    }
  }
 
  closedir($dh);
  //删除当前文件夹：
  if(rmdir($dir)) {
    return true;
  } else {
    return false;
  }
}

//删除旧模板
$skin_Path=str_replace('.zip','',$Path);
$db->query("delete from " . tname('mold') . " where CD_TempPath like '%skin/" . $skin_Path . "/%' ");
deldir('../../skin/'.$skin_Path.'/');

//解压模板
include('pclzip.lib.php');  
$archive = new PclZip($Path);
if ($archive->extract(PCLZIP_OPT_PATH, '../../skin') == 0) {  
@unlink($Path);
showmessage("抱歉，模板下载失败！请联系QQ：1542367792", 'skin_new.php', 0);
} 
@unlink($Path);
include "../../skin/".$skin_Path."/config.php";
showmessage("模板已下载，正在执行安装.....", 'skin_new.php?action=add&name='.$skin_name.'&html='.$skin_html.'&path='.$skin_Path.'', 0);
?>